# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class InlineResponse2001ArrayClosures(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, time_utc: str=None, closure_hash: str=None, gain: float=None, count_farmers: float=None, partial_count: float=None):  # noqa: E501
        """InlineResponse2001ArrayClosures - a model defined in Swagger

        :param time_utc: The time_utc of this InlineResponse2001ArrayClosures.  # noqa: E501
        :type time_utc: str
        :param closure_hash: The closure_hash of this InlineResponse2001ArrayClosures.  # noqa: E501
        :type closure_hash: str
        :param gain: The gain of this InlineResponse2001ArrayClosures.  # noqa: E501
        :type gain: float
        :param count_farmers: The count_farmers of this InlineResponse2001ArrayClosures.  # noqa: E501
        :type count_farmers: float
        :param partial_count: The partial_count of this InlineResponse2001ArrayClosures.  # noqa: E501
        :type partial_count: float
        """
        self.swagger_types = {
            'time_utc': str,
            'closure_hash': str,
            'gain': float,
            'count_farmers': float,
            'partial_count': float
        }

        self.attribute_map = {
            'time_utc': 'time-utc',
            'closure_hash': 'closure-hash',
            'gain': 'gain',
            'count_farmers': 'count-farmers',
            'partial_count': 'partial-count'
        }
        self._time_utc = time_utc
        self._closure_hash = closure_hash
        self._gain = gain
        self._count_farmers = count_farmers
        self._partial_count = partial_count

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse2001ArrayClosures':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200_1_ArrayClosures of this InlineResponse2001ArrayClosures.  # noqa: E501
        :rtype: InlineResponse2001ArrayClosures
        """
        return util.deserialize_model(dikt, cls)

    @property
    def time_utc(self) -> str:
        """Gets the time_utc of this InlineResponse2001ArrayClosures.


        :return: The time_utc of this InlineResponse2001ArrayClosures.
        :rtype: str
        """
        return self._time_utc

    @time_utc.setter
    def time_utc(self, time_utc: str):
        """Sets the time_utc of this InlineResponse2001ArrayClosures.


        :param time_utc: The time_utc of this InlineResponse2001ArrayClosures.
        :type time_utc: str
        """

        self._time_utc = time_utc

    @property
    def closure_hash(self) -> str:
        """Gets the closure_hash of this InlineResponse2001ArrayClosures.


        :return: The closure_hash of this InlineResponse2001ArrayClosures.
        :rtype: str
        """
        return self._closure_hash

    @closure_hash.setter
    def closure_hash(self, closure_hash: str):
        """Sets the closure_hash of this InlineResponse2001ArrayClosures.


        :param closure_hash: The closure_hash of this InlineResponse2001ArrayClosures.
        :type closure_hash: str
        """

        self._closure_hash = closure_hash

    @property
    def gain(self) -> float:
        """Gets the gain of this InlineResponse2001ArrayClosures.


        :return: The gain of this InlineResponse2001ArrayClosures.
        :rtype: float
        """
        return self._gain

    @gain.setter
    def gain(self, gain: float):
        """Sets the gain of this InlineResponse2001ArrayClosures.


        :param gain: The gain of this InlineResponse2001ArrayClosures.
        :type gain: float
        """

        self._gain = gain

    @property
    def count_farmers(self) -> float:
        """Gets the count_farmers of this InlineResponse2001ArrayClosures.


        :return: The count_farmers of this InlineResponse2001ArrayClosures.
        :rtype: float
        """
        return self._count_farmers

    @count_farmers.setter
    def count_farmers(self, count_farmers: float):
        """Sets the count_farmers of this InlineResponse2001ArrayClosures.


        :param count_farmers: The count_farmers of this InlineResponse2001ArrayClosures.
        :type count_farmers: float
        """

        self._count_farmers = count_farmers

    @property
    def partial_count(self) -> float:
        """Gets the partial_count of this InlineResponse2001ArrayClosures.


        :return: The partial_count of this InlineResponse2001ArrayClosures.
        :rtype: float
        """
        return self._partial_count

    @partial_count.setter
    def partial_count(self, partial_count: float):
        """Sets the partial_count of this InlineResponse2001ArrayClosures.


        :param partial_count: The partial_count of this InlineResponse2001ArrayClosures.
        :type partial_count: float
        """

        self._partial_count = partial_count
